document.addEventListener('DOMContentLoaded', function() {
  const slides = document.querySelectorAll('[data-scroll-slide]');
  
  slides.forEach(slide => {
    slide.style.opacity = '0';
    slide.style.transition = 'opacity 0.5s ease';
  });

  function showCurrentSlide(index) {
    slides.forEach((slide, i) => {
      slide.style.opacity = i === index ? '1' : '0';
    });
  }

  // Show first slide initially
  showCurrentSlide(0);

  // Update slide visibility when navigation occurs
  document.addEventListener('scrollSlideChange', function(e) {
    showCurrentSlide(e.detail.currentSlide);
  });
});